Show / Hide Table of Contents

# Enum Payload.SeStringChunkType

This represents the type of payload and how it should be encoded.

###### Namespace: Dalamud.Game.Text.SeStringHandling

###### Assembly: Dalamud.dll

##### Syntax

    protected enum SeStringChunkType

### Fields

Name | Description
--- | ---
AutoTranslateKey | See the AutoTranslatePayload class.
EmphasisItalic | See the EmphasisItalicPayload class.
Icon | See the IconPayload class.
Interactable | See any of the link-type classes: PlayerPayload, ItemPayload, MapLinkPayload, StatusPayload, QuestPayload, DalamudLinkPayload.
NewLine | See the NewLinePayload.
SeHyphen | See the SeHyphenPayload class.
UIForeground | See the UIForegroundPayload class.
UIGlow | See the UIGlowPayload class.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()